<?php

namespace Dud\WettbewerbBundle\Controller;

use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\Routing\Annotation\Route;
use Dud\WettbewerbBundle\Service\WettbewerbService;

class AjaxController
{
    private $wettbewerbService;

    public function __construct(WettbewerbService $wettbewerbService)
    {
        $this->wettbewerbService = $wettbewerbService;
    }

    /**
     * @Route("/api/wettbewerb/save", name="wettbewerb_save", methods={"POST"})
     */
    public function saveWettbewerb(Request $request)
    {
        $userid = $request->get('userid');
        $pid = $request->get('pid');
        $punkte = $request->get('punkte');

        $this->wettbewerbService->saveWettbewerb($userid, $pid, $punkte);

        return new JsonResponse(['status' => 'success']);
    }
}
